# Create IC invoicing tax

POST https://api.letsdeel.com/rest/v2/contracts/{contract_id}/ic-invoicing-taxes
Content-Type: application/json

Use this endpoint to create an invoicing tax for an independent contractor contract.
 **Token scopes**: `invoice-adjustments:write`

Reference: https://developer.deel.com/api/reference/endpoints/ic-invoicing-taxes/create-ic-invoicing-tax

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /contracts/{contract_id}/ic-invoicing-taxes:
    post:
      operationId: create-ic-invoicing-tax
      summary: Create IC invoicing tax
      description: >-
        Use this endpoint to create an invoicing tax for an independent
        contractor contract.
         **Token scopes**: `invoice-adjustments:write`
      tags:
        - subpackage_icInvoicingTaxes
      parameters:
        - name: contract_id
          in: path
          description: Deel Contract ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: IC tax successfully created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IC invoicing
                  taxes_createIcInvoicingTax_Response_201
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateIcInvoicingTaxRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateIcInvoicingTaxRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaData
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaDataTaxType:
      type: string
      enum:
        - WITHHOLDING_TAX
        - VAT
      description: Type of IC invoicing tax.
      title: >-
        ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaDataTaxType
    ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        tax_type:
          $ref: >-
            #/components/schemas/ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaDataTaxType
          description: Type of IC invoicing tax.
        percentage:
          type: number
          format: double
          description: Tax percentage amount.
      required:
        - tax_type
        - percentage
      title: >-
        ContractsContractIdIcInvoicingTaxesPostRequestBodyContentApplicationJsonSchemaData
    IC invoicing taxes_createIcInvoicingTax_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: IC invoicing taxes_createIcInvoicingTax_Response_201
    ContractsContractIdIcInvoicingTaxesPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        ContractsContractIdIcInvoicingTaxesPostResponsesContentApplicationJsonSchemaErrorsItems
    CreateIcInvoicingTaxRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdIcInvoicingTaxesPostResponsesContentApplicationJsonSchemaErrorsItems
      title: CreateIcInvoicingTaxRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    CreateIcInvoicingTaxRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdIcInvoicingTaxesPostResponsesContentApplicationJsonSchemaErrorsItems
      title: CreateIcInvoicingTaxRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes"

payload = { "data": {
        "tax_type": "WITHHOLDING_TAX",
        "percentage": 5
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"tax_type":"WITHHOLDING_TAX","percentage":5}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes"

	payload := strings.NewReader("{\n  \"data\": {\n    \"tax_type\": \"WITHHOLDING_TAX\",\n    \"percentage\": 5\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"tax_type\": \"WITHHOLDING_TAX\",\n    \"percentage\": 5\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"tax_type\": \"WITHHOLDING_TAX\",\n    \"percentage\": 5\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes', [
  'body' => '{
  "data": {
    "tax_type": "WITHHOLDING_TAX",
    "percentage": 5
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"tax_type\": \"WITHHOLDING_TAX\",\n    \"percentage\": 5\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "tax_type": "WITHHOLDING_TAX",
    "percentage": 5
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```